Subject: Re: bug#52109: [PATCH] gnu: Add unrar-free.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 03 Jan 2023 19:57:35 -0500

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Hi,
>
> Am Donnerstag, den 25.11.2021, 15:19 +0000 schrieb Foo Chuan Wei:
>> * gnu/packages/compression.scm (unrar-free): New variable.
>> [...]
>> +    (inputs
>> +     `(("libarchive" ,libarchive)))
>> [...] 
>> This program is a simple command-line front-end to libarchive
> Does this program handle anything that libarchive does not already
> have?  libarchive already ships its own command line utility (bsdtar),
> plus there's other frontends with less confusing names available.  The
> only use-case for "unrar-free" would be to inevitably push people
> towards the non-free unrar when it inevitably fails to upack that one
> of several weird rar files [1].

Since the program uses libarchive, it would think it supports the same
features as libarchive itself.  Its value is in providing a simpler to
use front-end CLI.

While I appreciate your concern, I don't think it is a problem to have
unrar-free in GNU Guix; it is free software and respects the GNU FSDG,
as far as I can tell.

Thoughts?

-- 
Thanks,
Maxim